<?php

// MySQL user
define("MYSQL_USER", "warpitportal");
define("MYSQL_PASS", "w@rp1tC@p1");

// MySQL Host name
define("WARPIT_HOST", "localhost");
define("DB_WARPIT_MAIN", "CapiWarpit");
define("WARPIT_CRM", "Warpit1_CRM");
define("WARPIT_LOGS", "");

include_once(PATH_TO_ROOT."_support/class.db.php");
include_once(PATH_TO_ROOT."_support/class.configLoader.php");

$db = new db;
$db->SetDatabaseConnection(MYSQL_USER,MYSQL_PASS,WARPIT_HOST);
//$db->setLogging(1);
configLoader::$db = $db;

$db->ChangeDatabase(DB_WARPIT_MAIN);
$dbConfig = configLoader::loadConfig('database');


// Warpit databases

define("DB_WARPIT_HELP", $dbConfig['table_warpit_webhelp'] );
define("DB_WARPIT_USERSPOOL", $dbConfig['table_warpit_userspool']);
define("DB_WARPIT_WEBCATI", $dbConfig['table_warpit_webcati']);
define("DB_WARPIT_WEBCATI_BASE", $dbConfig['table_warpit_webcati_base']);
define("DB_WARPIT_WEBRECODE", $dbConfig['table_warpit_webrecode']);
define("DB_WARPIT_LIVEUPDATE", $dbConfig['table_warpit_liveupdate']);
define("DB_WARPIT_TRACKER", $dbConfig['table_warpit_tracker']);

$paths = configLoader::loadConfig('paths');


// webproject path
define("WARPIT_WEBPROJECTS", $paths['warpit_webprojects']);
define("WARPIT_WWW", $paths['warpit_www']);
define("WARPIT_LIVEUPDATE_ZIPVERSION", $paths['live_update_zip_files'] );
// Absolute server path
define("WARPIT_ABSOLUTE", $paths['warpit_absolute']);
define("WARPIT_WEBPROJECTS_WWW", $paths['warpit_webprojects_www']);

define("CAPI_LUVEUPDATE_DONT_UPLOAD_DATA", false);

$pdf = configLoader::loadConfig('CRM');

define("PDF_ODMIK_LEVO", $pdf['pdf_odmik_levo']);
define("PDF_ODMIK_DESNO", $pdf['pdf_odmik_desno']);
define("PDF_ODMIK_ZGORAJ", $pdf['pdf_odmik_zgoraj']);
define("PDF_VELIKOST_FONTA", $pdf['pdf_velikost_fonta']);

define("PDF_DOGODEK_ODMIK_LEVO", $pdf['pdf_dogodek_odmik_levo']);
define("PDF_DOGODEK_ODMIK_DESNO", $pdf['pdf_dogodek_odmik_desno']);
define("PDF_DOGODEK_ODMIK_ZGORAJ", $pdf['pdf_dogodek_odmik_zgoraj']);
define("PDF_DOGODEK_VELIKOST_FONTA", $pdf['pdf_dogodek_velikost_fonta']);

define("PDF_DELOVENE_POGODBE_LEVO", $pdf['pdf_delovne_pogodbe_levo']);
define("PDF_DELOVENE_POGODBE_DESNO", $pdf['pdf_delovne_pogodbe_desno']);
define("PDF_DELOVENE_POGODBE_ZGORAJ", $pdf['pdf_delovne_pogodbe_zgoraj']);
define("PDF_DELOVENE_POGODBE_FONTA", $pdf['pdf_delovne_pogodbe_fonta']);

?>
